Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdPinpad.PurchaseResult

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult

Enclosing class:
  cmdPinpad

    public static class cmdPinpad.PurchaseResult
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PurchaseResult​(int errorCode, java.lang.String AC, com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TypeOfCardPayment cardData, java.lang.String cardNumber, java.lang.String MIDNumber, java.lang.String RRN, java.lang.String TIDNumber, java.lang.String transAmount, java.lang.String transDate, java.lang.String transTime, java.lang.String transNumber, com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TransStatus transStatus, java.lang.String transType, java.lang.String fulLResponseCode)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAC()` |
  `com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TypeOfCardPayment` | `getCardData()` |
  `java.lang.String` | `getCardNumber()` |
  `int` | `getErrorCode()` |
  `java.lang.String` | `getFulLResponseCode()` |
  `java.lang.String` | `getMIDNumber()` |
  `java.lang.String` | `getRRN()` |
  `java.lang.String` | `getTIDNumber()` |
  `java.lang.String` | `getTransAmount()` |
  `java.lang.String` | `getTransDate()` |
  `java.lang.String` | `getTransNumber()` |
  `com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TransStatus` | `getTransStatus()` |
  `java.lang.String` | `getTransTime()` |
  `java.lang.String` | `getTransType()` |
  `void` | `setAC​(java.lang.String AC)` |
  `void` | `setCardData​(com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TypeOfCardPayment cardData)` |
  `void` | `setCardNumber​(java.lang.String cardNumber)` |
  `void` | `setErrorCode​(int errorCode)` |
  `void` | `setFulLResponseCode​(java.lang.String fulLResponseCode)` |
  `void` | `setMIDNumber​(java.lang.String MIDNumber)` |
  `void` | `setRRN​(java.lang.String RRN)` |
  `void` | `setTIDNumber​(java.lang.String TIDNumber)` |
  `void` | `setTransAmount​(java.lang.String transAmount)` |
  `void` | `setTransDate​(java.lang.String transDate)` |
  `void` | `setTransNumber​(java.lang.String transNumber)` |
  `void` | `setTransStatus​(com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TransStatus transStatus)` |
  `void` | `setTransTime​(java.lang.String transTime)` |
  `void` | `setTransType​(java.lang.String transType)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PurchaseResult

    public PurchaseResult​(int errorCode, java.lang.String AC, com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TypeOfCardPayment cardData, java.lang.String cardNumber, java.lang.String MIDNumber, java.lang.String RRN, java.lang.String TIDNumber, java.lang.String transAmount, java.lang.String transDate, java.lang.String transTime, java.lang.String transNumber, com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TransStatus transStatus, java.lang.String transType, java.lang.String fulLResponseCode)

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()

  - ### setErrorCode

    public void setErrorCode​(int errorCode)

  - ### getAC

    public java.lang.String getAC()

  - ### setAC

    public void setAC​(java.lang.String AC)

  - ### getCardData

    public com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TypeOfCardPayment getCardData()

  - ### setCardData

    public void setCardData​(com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TypeOfCardPayment cardData)

  - ### getCardNumber

    public java.lang.String getCardNumber()

  - ### setCardNumber

    public void setCardNumber​(java.lang.String cardNumber)

  - ### getMIDNumber

    public java.lang.String getMIDNumber()

  - ### setMIDNumber

    public void setMIDNumber​(java.lang.String MIDNumber)

  - ### getRRN

    public java.lang.String getRRN()

  - ### setRRN

    public void setRRN​(java.lang.String RRN)

  - ### getTIDNumber

    public java.lang.String getTIDNumber()

  - ### setTIDNumber

    public void setTIDNumber​(java.lang.String TIDNumber)

  - ### getTransAmount

    public java.lang.String getTransAmount()

  - ### setTransAmount

    public void setTransAmount​(java.lang.String transAmount)

  - ### getTransDate

    public java.lang.String getTransDate()

  - ### setTransDate

    public void setTransDate​(java.lang.String transDate)

  - ### getTransTime

    public java.lang.String getTransTime()

  - ### setTransTime

    public void setTransTime​(java.lang.String transTime)

  - ### getTransNumber

    public java.lang.String getTransNumber()

  - ### setTransNumber

    public void setTransNumber​(java.lang.String transNumber)

  - ### getTransStatus

    public com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TransStatus getTransStatus()

  - ### setTransStatus

    public void setTransStatus​(com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdPinpad.PurchaseResult.TransStatus transStatus)

  - ### getTransType

    public java.lang.String getTransType()

  - ### setTransType

    public void setTransType​(java.lang.String transType)

  - ### getFulLResponseCode

    public java.lang.String getFulLResponseCode()

  - ### setFulLResponseCode

    public void setFulLResponseCode​(java.lang.String fulLResponseCode)